uboot_flash_env Struct Reference

## Public Attributes

char | devname [DEVNAME_MAX_LENGTH]
long long int | offset
size_t | envsize
size_t | sectorsize
long unsigned int | envsectors
struct mtd_info_user | mtdinfo
uint32_t | crc
int | fd
unsigned char | flags
enum flags_type | flagstype
enum device_type | device_type

## Member Data Documentation

## crc

uint32_t uboot_flash_env::crc

Computed CRC on the stored environment

## device_type

enum device_type uboot_flash_env::device_type

type of device (mtd, ubi, file, ....)

## devname

char uboot_flash_env::devname[DEVNAME_MAX_LENGTH]

path to device or file where env is stored

## envsectors

long unsigned int uboot_flash_env::envsectors

Number of sectors for each environment

## envsize

size_t uboot_flash_env::envsize

size of environment

## fd

int uboot_flash_env::fd

file descriptor used to access the device

## flags

unsigned char uboot_flash_env::flags

flags (see flags_type) are one byte in the stored environment

## flagstype

enum flags_type uboot_flash_env::flagstype

flags according to device type

## mtdinfo

struct mtd_info_user uboot_flash_env::mtdinfo

MTD structure as returned by ioctl() call

## offset

long long int uboot_flash_env::offset

Start offset inside device path

## sectorsize

size_t uboot_flash_env::sectorsize

Size of sector (for MTD)

The documentation for this struct was generated from the following file:

- uboot_private.h